org.apache.fop.datatypes

## Class URISpecification

- java.lang.Object
- - org.apache.fop.datatypes.URISpecification

-     public final class URISpecification
      extends Object

  This class contains method to deal with the <uri-specification> datatype from XSL-FO.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `escapeURI(String uri)` Escapes any illegal URI character in a given URI, for example, it escapes a space to "%20".
    `static String` | `getURL(String href)` Get the URL string from a wrapped URL.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getURL

          public static String getURL(String href)

      Get the URL string from a wrapped URL.
      Parameters:
        `href` - the input wrapped URL
      Returns:
        the raw URL

    - #### escapeURI

          public static String escapeURI(String uri)

      Escapes any illegal URI character in a given URI, for example, it escapes a space to "%20". Note: This method does not "parse" the URI and therefore does not treat the individual components (user-info, path, query etc.) individually.
      Parameters:
        `uri` - the URI to inspect
      Returns:
        the escaped URI

Copyright © 2023 Apache Software Foundation. All rights reserved.